List a user's obtained certificates
$BEEDEEZ_API/v1/users/{USER_ID}/certificates List a user's obtained certificates
List the certificates obtained by one user, with the same filters as
GET /v1/certificates. Requires the admin or certificates:read scope.
| Path Parameters |
|---|
USER_ID string — REQUIRED |
| Query Parameters |
|---|
certificateId stringOnly the awards of this certificate definition ( |
status stringPossible values: [ Derived from the awarded record: Only awards with this status |
obtainedAfter stringISO date: obtained on or after this date |
obtainedBefore stringISO date: obtained on or before this date |
updatedSince stringISO date: only awards changed since this date |
afterId stringCursor, with |
pageSize stringNumber of awards per page, 1 to 500 |
pageNumber stringPage number, starting at 1. Not combinable with |
| Responses | |||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
200Ok
| |||||||||||||||||||
400Invalid query parameters
| |||||||||||||||||||
404User not found
|
Authorization
Path parameters
USER_IDstringrequiredQuery parameters
certificateIdstringoptionalcertificate.id)statusstringoptionalactiveexpiredrevokedobtainedAfterstringoptionalobtainedBeforestringoptionalupdatedSincestringoptionalafterIdstringoptionalupdatedSince: the id of the last award receivedpageSizestringoptionalpageNumberstringoptionalafterIdResponse
200 OKobject[]updatedAtdate-timeexpiresAt does not update itcorrectAnswersRatedoublesuccessRatedoublescoredoubleexpiresAtdate-timeobtainedAtdate-timeuserobjectexternalIdstringloginstringemailstringidstringcertificateobjectruleTypestringnamestringidstringcertificateId filterstatusstringexpired once expiresAt is reached,
otherwise revoked when the award was disabled (revoked, superseded by a renewal
or deduplicated), otherwise active.activeexpiredrevokedidstringErrors
400Invalid query parameters404User not found